### Function

# Dex input_stream_read_bytes

#### Declaration [src]

    DexFuture*
    dex_input_stream_read_bytes (
      GInputStream* stream,
      gsize count,
      int io_priority
    )

#### Description [src]

Reads `count` bytes from the stream.

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  Size in bytes to read from the stream.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GBytes`.

The caller of the function takes ownership of the data, and is responsible for freeing it.